Add DRW computation from DRG option to comobsadd

04/01/2023 06:21 PM - Knödlseder Jürgen

Status: Closed Start date: 04/01/2023

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

A capability should be added to comobsadd to compute a DRW on the basis of DRGs normalised to DREs without requiring input

DRWs. This allows to quickly check the BGDLIXF algorithm with a DRW based in DRGs, corresponding to a DRW that assumes a

constant background rate.

History

#1 - 04/02/2023 12:57 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I finally added a CONST option to comobsbin, which is much more logic as comobsbin generates DRW datasets for each viewing period. If CONST is

specified, comobsbin creates the DRWs directly from the DRGs without any additional computation other than multiplying the DRG with the solid

angle of each pixel.

comobsadd now handles appended DRW method suffixes to the file names, created a combined DRW file that preserves the suffix in the filename. In

that way, different methods may co-exist in the same folder.

Code was merged into integration.

#2 - 04/03/2023 03:58 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- Target version set to 2.1.0

- % Done changed from 50 to 100

Merged into devel.
